Database upgrade problem

Questions & Problems about Installing or Upgrading with Version 3 phpList.
Forum rules
Please help the volunteers to help you by supplying the version of phpList you are using, browser & version and if possible, a link to your phpList installation.

Database upgrade problem

Postby pessottino » 3:40pm, Fri 28 Nov, 2014

hello ,
I upgraded from 2.0.18 to 3.0.6 in all the old newsletter links do not work anymore , redirects on page 404 , help me : - (
pessottino
phpList newbie
 
Posts: 1
Joined: 3:05pm, Fri 28 Nov, 2014

Re: Database upgrade problem

Postby danwaterloo » 8:41pm, Wed 03 Dec, 2014

Hi Pessottino,

Yes, you are right that the database is updated, and the way that links work is different (better, actually). If possible, you might want to restore the old database and phplist directory, and then make a copy of the database, and install the new software version in a new directory, and use the database copy you just made. Doing it this way will keep the old system working, and will create the new version with the old data, ready to move forward.

I once read that the cardinal rule of working with computers is "Never do anything that cannot be undone"....

Dan
danwaterloo
PL Master
 
Posts: 276
Joined: 3:51am, Wed 30 Oct, 2013
Location: http://www.phplistsupport.com


Return to Installing and Upgrading

Who is online

Users browsing this forum: No registered users and 3 guests

cron